Package org.eclipse.jgit.revwalk

## Class RevTree

- java.lang.Object
- - org.eclipse.jgit.lib.AnyObjectId
  - - org.eclipse.jgit.lib.ObjectId
    - - org.eclipse.jgit.lib.ObjectIdOwnerMap.Entry
      - - org.eclipse.jgit.revwalk.RevObject
        - - org.eclipse.jgit.revwalk.RevTree

All Implemented Interfaces:
  `Serializable`, `Comparable<AnyObjectId>`

    public class RevTree
    extends RevObject

A reference to a tree of subtrees/files.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `RevTree​(AnyObjectId id)` Create a new tree reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get Git object type.

### Methods inherited from class org.eclipse.jgit.revwalk.RevObject

`add, add, appendCoreFlags, getId, has, hasAll, hasAny, remove, remove, toString`

### Methods inherited from class org.eclipse.jgit.lib.ObjectId

`equals, fromRaw, fromRaw, fromRaw, fromRaw, fromString, fromString, isId, toObjectId, toString, zeroId`

### Methods inherited from class org.eclipse.jgit.lib.AnyObjectId

`abbreviate, compareTo, compareTo, compareTo, copy, copyRawTo, copyRawTo, copyRawTo, copyRawTo, copyTo, copyTo, copyTo, copyTo, copyTo, copyTo, equals, equals, equals, getByte, getFirstByte, getName, hashCode, name, startsWith`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RevTree

    protected RevTree​(AnyObjectId id)

Create a new tree reference.

Parameters:
  `id` - object name for the tree.

### Method Detail

#### getType

    public final int getType()

Description copied from class: `RevObject`
Get Git object type. See `Constants`.

Specified by:
  `getType` in class `RevObject`
Returns:
  object type